Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# SelectSaver

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# SelectSaver

- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

SelectSaver - save and restore selected file handle

# SYNOPSIS

        use SelectSaver;    {       my $saver = SelectSaver->new(FILEHANDLE);       # FILEHANDLE is selected    }    # previous handle is selected    {       my $saver = SelectSaver->new;       # new handle may be selected, or not    }    # previous handle is selected

# DESCRIPTION

A `SelectSaver` object contains a reference to the file handle that was selected when it was created. If its `new` method gets an extra parameter, then that parameter is selected; otherwise, the selected file handle remains unchanged.

When a `SelectSaver` is destroyed, it re-selects the file handle that was selected when it was created.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION